Kubernetes(kube-controller-manager)の脆弱性情報(Moderate: CVE-2020-8555)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

06/01/2020にKubernetes(kube-controller-manager)の脆弱性情報(Moderate: CVE-2020-8555)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

CVE番号 影響するバージョン Priority CVSS Score / CVSS Vector
CVE-2020-8550 kube-controller-manager < v1.15.11, v1.16.0-v1.16.8, v1.17.0-v1.17.4, v1.18.0

Vendor:MEDIUM

RedHat: 6.3 MEDIUM

CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N

修正方法

    下記のバージョン以上にアップグレードして下さい。
  • v1.18.1
  • v1.17.5
  • v1.16.9
  • v1.15.12

詳しくは、各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-8555
    • SSRF(Server Side Request Forgery)の可能性
    • kube-contoller-managerが認証されたユーザに対して500バイト以上の任意の情報をマスタのホストネットワークから漏洩させるような、任意のStorageClassesやVolumeタイプを作成することを許可してしまいます。これには、認証されていないローカルホストのポート(有効な場合)を介して、kube-apiserverからのシークレットを含む事が可能です。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、サービスの再起動が発生する場合には、pacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。



セキュリティ系連載案内

セミナー情報1

02/26/2020の開催が中止となってしまいましたOSSセキュリティ技術の会ですが、この度、ウェビナーで開催することになりました。OSSセキュリティ技術の会のウェビナー開催は初の試みで当日バタつくこともあるかもしれませんがどうぞよろしくお願いいたします。

Keycloakも段々と適用範囲が広がってきています。Keycloakとも連携できる新たな認証関連OSS「midPoint」が日本で紹介されてきています。今回は、KeycloakやmidPointをテーマとし、『OSSセキュリティ技術の会 第八回勉強会』と題して勉強会を開催することになりました。

さらに、Red Hat系のディープな技術者が集まるカンファレンスであるdevconf.czが1月末に開催され、最新のコンテナセキュリティからKeycloakまでセキュリティに関するトピックも扱われました。devconf.czに参加・講演して得られた情報の共有もいたします。

今回はzoomを利用してウェビナーを開催予定です。 開始直前にメールにて会議IDとパスワードを事前登録した方のみにメールで(connpassからのメールになると思います)連絡いたします。申込みは下記まで御願い致します。

https://secureoss-sig.connpass.com/event/175643/


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

Linux Kernelの脆弱性情報(Moderate: CVE-2020-10751)

次へ

GnuTLSの脆弱性情報(Important: CVE-2020-13777)